SSDD(8)

# SPDX-License-Identifier: GPL-2.0-or-later

NAME
ssdd - have a tracer do a bunch of PTRACE_SINGLESTEPs

SYNOPSIS

ssdd [-f|--forks NUM] [-h|--help] [-i|--iters NUM] [--json FILENAME]

DESCRIPTION
Have a tracer do a bunch of PTRACE_SINGLESTEPs against a tracee as fast as possible. Create several of these tracer/tracee pairs and see if they can be made to interfere with each other. The tracer waits on each PTRACE_SINGLESTEP with a waitpid(2) and checks that waitpid's return values for correctness.

OPTIONS

-f, --forks=NUM
    number of tracer/tracee pairs to fork off.
    Default is 10.

-h, --help
    Display usage

-i, --iters=NUM
    number of PTRACE_SINGLESTEP iterations to do before declaring success, for each tracer tracee pair set up.
    Default is 10,000.
    NUM must be at least 1

--json=FILENAME
    Write final results into FILENAME, JSON formatted.

AUTHOR
ssdd was written by Joe Korty <joe.korty@concurrent-rt.com>

This manual page was written by John Kacur <jkacur@redhat.com>